Bug 1262706 - text mode is not guarded against invalid values
text mode is not guarded against invalid values
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 03:28 EDT by lnie
Modified: 2016-11-25 03:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 03:18:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-tb (245.45 KB, text/plain)
2015-09-14 03:28 EDT, lnie
no flags Details
anaconda.log (22.81 KB, text/plain)
2015-09-14 03:29 EDT, lnie
no flags Details
program.log (52.71 KB, text/plain)
2015-09-14 03:30 EDT, lnie
no flags Details
syslog (60.46 KB, text/plain)
2015-09-14 03:31 EDT, lnie
no flags Details
anaconda-tb (167.95 KB, text/plain)
2015-09-16 23:55 EDT, lnie
no flags Details
anaconda.log (10.20 KB, text/plain)
2015-09-16 23:58 EDT, lnie
no flags Details
program.log (35.37 KB, text/plain)
2015-09-16 23:59 EDT, lnie
no flags Details
storage.log (30.05 KB, text/plain)
2015-09-16 23:59 EDT, lnie
no flags Details
reproducing screenshot (39.02 KB, image/png)
2015-09-17 04:26 EDT, lnie
no flags Details
videos (5.37 MB, application/octet-stream)
2015-09-17 05:28 EDT, lnie
no flags Details
reproducing video (5.11 MB, application/octet-stream)
2015-09-18 05:09 EDT, lnie
no flags Details
reproducing video (3.43 MB, application/octet-stream)
2015-09-18 05:29 EDT, lnie
no flags Details

  None (edit)
Description lnie 2015-09-14 03:28:49 EDT
Created attachment 1073089 [details]
anaconda-tb

Description of problem:
 


Version-Release number of selected component (if applicable):
 f23-beta-tc5

How reproducible:

 always

Steps to Reproduce:
1.do a installation with inst.text boot option added
2.proceed with installation,using default settings
3.try to make choice for the installation source 

Actual results:


Expected results:


Additional info:
Comment 1 lnie 2015-09-14 03:29:15 EDT
Created attachment 1073090 [details]
anaconda.log
Comment 2 lnie 2015-09-14 03:30:28 EDT
Created attachment 1073091 [details]
program.log
Comment 3 lnie 2015-09-14 03:31:23 EDT
Created attachment 1073092 [details]
syslog
Comment 4 Stephen Gallagher 2015-09-16 16:19:33 EDT
I just attempted to reproduce this with the Fedora Server 23 Beta RC1 DVD ISO image and was unable to do so. Everything worked as expected with default settings and booted to a system that was perfectly usable.
Comment 5 lnie 2015-09-16 23:55:09 EDT
Still see this crash with Fedora-Server-23-Beta-RC1-netinst,and I'm going to upload the logs. I produce it on a VM,maybe that's the reason?
Comment 6 lnie 2015-09-16 23:55:38 EDT
Created attachment 1074240 [details]
anaconda-tb
Comment 7 lnie 2015-09-16 23:58:21 EDT
Created attachment 1074241 [details]
anaconda.log
Comment 8 lnie 2015-09-16 23:59:18 EDT
Created attachment 1074242 [details]
program.log
Comment 9 lnie 2015-09-16 23:59:52 EDT
Created attachment 1074244 [details]
storage.log
Comment 10 Adam Williamson 2015-09-17 01:33:04 EDT
Stephen: it's a packaging issue, so DVD vs. netinst is obviously a significant difference. I'll check it with the netinst image here.
Comment 11 Adam Williamson 2015-09-17 01:45:54 EDT
I can't reproduce this with the netinst either, though! Tried a couple of ways, but couldn't hit a crash.
Comment 12 lnie 2015-09-17 04:26:48 EDT
Created attachment 1074334 [details]
reproducing screenshot
Comment 13 lnie 2015-09-17 05:28:58 EDT
Created attachment 1074372 [details]
videos
Comment 14 Kamil Páral 2015-09-17 05:53:13 EDT
I can reproduce it now. You need to go to installation source and select CD/DVD (it will complain when you go back to the main hub, but don't mind it) and then go to software selection. It will be empty and 'c' will trigger a crash.
Comment 15 Stephen Gallagher 2015-09-17 09:14:47 EDT
So, just to be clear: This only happens if you boot the netinstall image and then try to select "CD/DVD" as the source media? I'm pretty sure that's not a realistic scenario.
Comment 16 Kamil Páral 2015-09-17 09:23:59 EDT
(In reply to Stephen Gallagher from comment #15)
> So, just to be clear: This only happens if you boot the netinstall image and
> then try to select "CD/DVD" as the source media? 

That's how we reproduced it. Maybe there are other ways.

> I'm pretty sure that's not
> a realistic scenario.

It's realistic to assume people make mistakes :) That's how Lili says she found it. Of course it's not proposed as a blocker.
Comment 17 lnie 2015-09-18 05:09:13 EDT
Created attachment 1074745 [details]
reproducing video
Comment 18 lnie 2015-09-18 05:21:27 EDT
The attachment shows another way to reproduce the crash,it seems that this version is too fragile to accept any mistaken input:(. 
You are right,Kamil,there *are* other ways:)
Comment 19 lnie 2015-09-18 05:29:50 EDT
Created attachment 1074752 [details]
reproducing video
Comment 20 Fedora End Of Life 2016-11-24 07:30:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Kamil Páral 2016-11-25 03:18:59 EST
This no longer happens in F25 installer.

Note You need to log in before you can comment on or make changes to this bug.